// C:\JavaScriptYAngularJavaScript\C07\demonstracion\errorDeTipo.ts 
// Funciones 
function suma(cifra01, cifra02) { 
    return cifra01+ cifra02; 
 } 
 // Uso de la función suma 
 let primeraCifra = 1; 
 let segundaCifra = 3 
 let cadenaDeCaracteres = "abc"; 
 console.log(suma(primeraCifra, segundaCifra)); 
 // Muestra 4 
 console.log(suma(cadenaDeCaracteres, segundaCifra)); 
 // /!\ Muestra abc3 /!\
 


// Funciones 
function sumaConTipo(cifra01, cifra02) { 
   return cifra01+ cifra02; 
} 
// Uso de la función suma 
let primeraCifraConTipo: number = 1; 
let segundaCifraConTipo: number = 3 
// let cadenaDeCaracteresConTipo: number = "abc"; // Error en la transcompilación
console.log(sumaConTipo(primeraCifraConTipo, segundaCifraConTipo)); 
// console.log(sumaConTipo(cadenaDeCaracteresConTipo, segundaCifraConTipo));
